/**
 *税款计算
 */
shr.defineClass("shr.compensation.InterInitDynamicListEx", shr.compensation.InterInitDynamicList, {

    initalizeDOM: function () {
        var _self = this;
        shr.compensation.InterInitDynamicListEx.superClass.initalizeDOM.call(_self);

    },


    //任务监控
    taskMonitorAction: function () {
        var self = this;
        var urlParam = {
            //uipk: "com.kingdee.shr.compensation.app.taxCal.TaxCalTask.list",
            uipk: "com.kingdee.eas.custom.shuiyou.task.app.Task.list",
            catalog: "CAL"
        };
        self.reloadPage(urlParam);
    },
    /**
   * 调用算税接口
   */
    calTaxAction: function (isReCalc) {
        var _self = this;
        var isOk = _self.checkTaxYearExists();
        if (!isOk) {
            return;
        }
        var billIds = this.getSelectedIds("initdetail.id");
        var period = _self.getFastFilterItems()['enterData'].values;
        var periodBegin = period.startDatetime;
        var periodEnd = period.endDatetime;
        var params = {
            selectedData: billIds,
            periodBegin: periodBegin,
            periodEnd: periodEnd,
            fieldName_key: "initdetail.id",
        };
        var apiName = "calTax";
        if (isReCalc === true) {
            apiName = "reCalc";
        }
        _self.remoteCall({
            type: "post",
            method: "checkReduction",
            param: params,
            showBlock: true,
            success: function (res) {
                if (!res) {
                    _self.doRemoteWithBatchAction({
                        method: apiName,
                        selectedData: billIds,
                        periodBegin: periodBegin,
                        periodEnd: periodEnd,
                        fieldName_key: "initdetail.id",
                    });
                } else {
                    var msg = "选择列表数据中包含需提交附表员工，建议您先进入附表上传页面导入对应附表后再进行接口算税。";
                    _self.showMergeConfirm(msg,
                        function () {
                            _self.reloadPage({
                                uipk: "com.kingdee.shr.compensation.app.incomeTax.ReductionSummary.list"
                            });
                        },
                        function () {
                            _self.doRemoteWithBatchAction({
                                method: apiName,
                                selectedData: billIds,
                                periodBegin: periodBegin,
                                periodEnd: periodEnd,
                                fieldName_key: "initdetail.id",
                            });
                        });
                }
            }
        });
    },



});