package com.kingdee.eas.custom.individualback;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.individualback.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class TaxPaymentBackCalculate extends CoreBillBase implements ITaxPaymentBackCalculate
{
    public TaxPaymentBackCalculate()
    {
        super();
        registerInterface(ITaxPaymentBackCalculate.class, this);
    }
    public TaxPaymentBackCalculate(Context ctx)
    {
        super(ctx);
        registerInterface(ITaxPaymentBackCalculate.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CAA11D41");
    }
    private TaxPaymentBackCalculateController getController() throws BOSException
    {
        return (TaxPaymentBackCalculateController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public TaxPaymentBackCalculateCollection getTaxPaymentBackCalculateCollection() throws BOSException
    {
        try {
            return getController().getTaxPaymentBackCalculateCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public TaxPaymentBackCalculateCollection getTaxPaymentBackCalculateCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getTaxPaymentBackCalculateCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public TaxPaymentBackCalculateCollection getTaxPaymentBackCalculateCollection(String oql) throws BOSException
    {
        try {
            return getController().getTaxPaymentBackCalculateCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public TaxPaymentBackCalculateInfo getTaxPaymentBackCalculateInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getTaxPaymentBackCalculateInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public TaxPaymentBackCalculateInfo getTaxPaymentBackCalculateInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getTaxPaymentBackCalculateInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public TaxPaymentBackCalculateInfo getTaxPaymentBackCalculateInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getTaxPaymentBackCalculateInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}