package com.kingdee.eas.custom.individualback;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class TaxPaymentBackCalculateFactory
{
    private TaxPaymentBackCalculateFactory()
    {
    }
    public static com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CAA11D41") ,com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate.class);
    }
    
    public static com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CAA11D41") ,com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate.class, objectCtx);
    }
    public static com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CAA11D41"));
    }
    public static com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.individualback.ITaxPaymentBackCalculate)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CAA11D41"));
    }
}