/**
 * output package name
 */
package com.kingdee.eas.custom.shuiyou;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class RequestStateEnum extends StringEnum
{
    public static final String SUCCESSFUL_VALUE = "Successful";//alias=ɹ
    public static final String FAILED_VALUE = "Failed";//alias=ʧ
    public static final String NOTSTARTED_VALUE = "NotStarted";//alias=δʼ
    public static final String ONGOING_VALUE = "Ongoing";//alias=

    public static final RequestStateEnum Successful = new RequestStateEnum("Successful", SUCCESSFUL_VALUE);
    public static final RequestStateEnum Failed = new RequestStateEnum("Failed", FAILED_VALUE);
    public static final RequestStateEnum NotStarted = new RequestStateEnum("NotStarted", NOTSTARTED_VALUE);
    public static final RequestStateEnum Ongoing = new RequestStateEnum("Ongoing", ONGOING_VALUE);

    /**
     * construct function
     * @param String requestStateEnum
     */
    private RequestStateEnum(String name, String requestStateEnum)
    {
        super(name, requestStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static RequestStateEnum getEnum(String requestStateEnum)
    {
        return (RequestStateEnum)getEnum(RequestStateEnum.class, requestStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(RequestStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(RequestStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(RequestStateEnum.class);
    }
}