/**
 * output package name
 */
package com.kingdee.eas.custom.shuiyou;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class RequestTypeEnum extends StringEnum
{
    public static final String POST_VALUE = "POST";//alias=POST
    public static final String GET_VALUE = "GET";//alias=GET

    public static final RequestTypeEnum POST = new RequestTypeEnum("POST", POST_VALUE);
    public static final RequestTypeEnum GET = new RequestTypeEnum("GET", GET_VALUE);

    /**
     * construct function
     * @param String requestTypeEnum
     */
    private RequestTypeEnum(String name, String requestTypeEnum)
    {
        super(name, requestTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static RequestTypeEnum getEnum(String requestTypeEnum)
    {
        return (RequestTypeEnum)getEnum(RequestTypeEnum.class, requestTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(RequestTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(RequestTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(RequestTypeEnum.class);
    }
}