package com.kingdee.eas.custom.shuiyou.incomeTax;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.shuiyou.incomeTax.*;
import com.kingdee.shr.compensation.app.tax.TaxUnitInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.util.Map;
import java.util.List;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class TaxDirectDeductionExFacade extends AbstractBizCtrl implements ITaxDirectDeductionExFacade
{
    public TaxDirectDeductionExFacade()
    {
        super();
        registerInterface(ITaxDirectDeductionExFacade.class, this);
    }
    public TaxDirectDeductionExFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaxDirectDeductionExFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("7E4D44FA");
    }
    private TaxDirectDeductionExFacadeController getController() throws BOSException
    {
        return (TaxDirectDeductionExFacadeController)getBizController();
    }
    /**
     *6ֱӿ۳ԱȷϽӿ-User defined method
     *@param paramMap 
     *@return
     */
    public List confirm(Map paramMap) throws BOSException
    {
        try {
            return getController().confirm(getContext(), paramMap);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *6ֱӿ۳Աȷϲѯӿ-User defined method
     *@param taskId id
     *@param result ؽ
     */
    public void saveConfirm(String taskId, String result) throws BOSException
    {
        try {
            getController().saveConfirm(getContext(), taskId, result);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *6ӿڿ۳Ա鼯ӿ-User defined method
     *@param paramMap 
     *@return
     */
    public List staffCollection(Map paramMap) throws BOSException
    {
        try {
            return getController().staffCollection(getContext(), paramMap);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *Ա鼯-User defined method
     *@param taxUnit ˰λ
     *@param result 
     */
    public void saveStaffCollection(TaxUnitInfo taxUnit, String result) throws BOSException
    {
        try {
            getController().saveStaffCollection(getContext(), taxUnit, result);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}