package com.kingdee.eas.custom.shuiyou.registration;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.shuiyou.registration.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class RegistrationInfo extends DataBase implements IRegistrationInfo
{
    public RegistrationInfo()
    {
        super();
        registerInterface(IRegistrationInfo.class, this);
    }
    public RegistrationInfo(Context ctx)
    {
        super(ctx);
        registerInterface(IRegistrationInfo.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("967FE659");
    }
    private RegistrationInfoController getController() throws BOSException
    {
        return (RegistrationInfoController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public RegistrationInfoInfo getRegistrationInfoInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRegistrationInfoInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public RegistrationInfoInfo getRegistrationInfoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRegistrationInfoInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public RegistrationInfoInfo getRegistrationInfoInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRegistrationInfoInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public RegistrationInfoCollection getRegistrationInfoCollection() throws BOSException
    {
        try {
            return getController().getRegistrationInfoCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public RegistrationInfoCollection getRegistrationInfoCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRegistrationInfoCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public RegistrationInfoCollection getRegistrationInfoCollection(String oql) throws BOSException
    {
        try {
            return getController().getRegistrationInfoCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}