package com.kingdee.eas.custom.shuiyou.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.lang.String;
import com.kingdee.eas.custom.shuiyou.task.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class TaskExecuteFacade extends AbstractBizCtrl implements ITaskExecuteFacade
{
    public TaskExecuteFacade()
    {
        super();
        registerInterface(ITaskExecuteFacade.class, this);
    }
    public TaskExecuteFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaskExecuteFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("004655B1");
    }
    private TaskExecuteFacadeController getController() throws BOSException
    {
        return (TaskExecuteFacadeController)getBizController();
    }
    /**
     *ִ-User defined method
     *@param taskId id
     *@return
     */
    public String executeTask(String taskId) throws BOSException
    {
        try {
            return getController().executeTask(getContext(), taskId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}