package com.kingdee.eas.custom.shuiyou.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.custom.shuiyou.task.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class TaskRequestResult extends DataBase implements ITaskRequestResult
{
    public TaskRequestResult()
    {
        super();
        registerInterface(ITaskRequestResult.class, this);
    }
    public TaskRequestResult(Context ctx)
    {
        super(ctx);
        registerInterface(ITaskRequestResult.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("ECB296C1");
    }
    private TaskRequestResultController getController() throws BOSException
    {
        return (TaskRequestResultController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public TaskRequestResultInfo getTaskRequestResultInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskRequestResultInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public TaskRequestResultInfo getTaskRequestResultInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskRequestResultInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public TaskRequestResultInfo getTaskRequestResultInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskRequestResultInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public TaskRequestResultCollection getTaskRequestResultCollection() throws BOSException
    {
        try {
            return getController().getTaskRequestResultCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public TaskRequestResultCollection getTaskRequestResultCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getTaskRequestResultCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public TaskRequestResultCollection getTaskRequestResultCollection(String oql) throws BOSException
    {
        try {
            return getController().getTaskRequestResultCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}