/**
 * output package name
 */
package com.kingdee.eas.custom.shuiyou.task;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class TaskStateEnum extends IntEnum
{
    public static final int STANDBY_VALUE = 5;//alias=ȴ
    public static final int WAITTING_VALUE = 10;//alias=δ
    public static final int RUNNING_VALUE = 20;//alias=
    public static final int FAIDED_VALUE = 30;//alias=ʧ
    public static final int FINISHED_VALUE = 40;//alias=
    public static final int DELETE_VALUE = 0;//alias=ɾ״̬

    public static final TaskStateEnum STANDBY = new TaskStateEnum("STANDBY", STANDBY_VALUE);
    public static final TaskStateEnum WAITTING = new TaskStateEnum("WAITTING", WAITTING_VALUE);
    public static final TaskStateEnum RUNNING = new TaskStateEnum("RUNNING", RUNNING_VALUE);
    public static final TaskStateEnum FAIDED = new TaskStateEnum("FAIDED", FAIDED_VALUE);
    public static final TaskStateEnum FINISHED = new TaskStateEnum("FINISHED", FINISHED_VALUE);
    public static final TaskStateEnum DELETE = new TaskStateEnum("DELETE", DELETE_VALUE);

    /**
     * construct function
     * @param integer taskStateEnum
     */
    private TaskStateEnum(String name, int taskStateEnum)
    {
        super(name, taskStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static TaskStateEnum getEnum(String taskStateEnum)
    {
        return (TaskStateEnum)getEnum(TaskStateEnum.class, taskStateEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static TaskStateEnum getEnum(int taskStateEnum)
    {
        return (TaskStateEnum)getEnum(TaskStateEnum.class, taskStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(TaskStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(TaskStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(TaskStateEnum.class);
    }
}