package com.kingdee.eas.custom.shuiyou.uitls;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.eas.custom.shuiyou.uitls.*;
import com.kingdee.bos.BOSException;
import java.util.Map;
import com.kingdee.eas.custom.shuiyou.interfacelog.LogInfoInfo;
import com.kingdee.eas.custom.shuiyou.interfaceiog.LogInfoInfo;
import java.lang.String;
import com.kingdee.eas.custom.shuiyou.task.TaskCatalogEnum;
import com.kingdee.bos.framework.*;
import cn.hutool.core.lang.Snowflake;
import com.kingdee.bos.util.*;

public class SYUtilsFacade extends AbstractBizCtrl implements ISYUtilsFacade
{
    public SYUtilsFacade()
    {
        super();
        registerInterface(ISYUtilsFacade.class, this);
    }
    public SYUtilsFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISYUtilsFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("A069618E");
    }
    private SYUtilsFacadeController getController() throws BOSException
    {
        return (SYUtilsFacadeController)getBizController();
    }
    /**
     *ǩ-User defined method
     *@param param ҪǩĲ
     *@return
     */
    public String getSignature(String param) throws BOSException
    {
        try {
            return getController().getSignature(getContext(), param);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ʼ-User defined method
     *@param filePath ļַ
     */
    public void initConfig(String filePath) throws BOSException
    {
        try {
            getController().initConfig(getContext(), filePath);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *д־-User defined method
     *@param logInfo ־
     *@return
     */
    public LogInfoInfo log(LogInfoInfo logInfo) throws BOSException
    {
        try {
            return getController().log(getContext(), logInfo);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡļ-User defined method
     *@return
     */
    public Map getConfig() throws BOSException
    {
        try {
            return getController().getConfig(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *[description]ѭãֱسɹ״̬[%description][invokedemo][%invokedemo][returndesc]id[%returndesc]-User defined method
     *@param url ַ
     *@param requestId id
     *@param osfServiceName ɹʱص
     *@param backParam صosfʱһɲ
     *@param catalog 
     *@return
     */
    public String backTask(String url, String requestId, String osfServiceName, String backParam, TaskCatalogEnum catalog) throws BOSException
    {
        try {
            return getController().backTask(getContext(), url, requestId, osfServiceName, backParam, catalog);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *post-User defined method
     *@param url url
     *@param param jsonStr
     *@return
     */
    public String post(String url, String param) throws BOSException
    {
        try {
            return getController().post(getContext(), url, param);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *get-User defined method
     *@param url url
     *@param param jsonStr
     *@return
     */
    public String get(String url, String param) throws BOSException
    {
        try {
            return getController().get(getContext(), url, param);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ǩ-User defined method
     *@param propt ļMap
     *@param paramMap Map
     *@return
     */
    public String getSignature(Map propt, Map paramMap) throws BOSException
    {
        try {
            return getController().getSignature(getContext(), propt, paramMap);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ִһΣܳɹʧ-User defined method
     *@param osfServiceName osf
     *@param param 
     *@param catalog 
     *@param taskPreId ǰûɣ񲻻ִС
     *@return
     */
    public String addTask(String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId) throws BOSException
    {
        try {
            return getController().addTask(getContext(), osfServiceName, param, catalog, taskPreId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ɾǰߺǰߺҲᱻɾ-User defined method
     *@param taskId id
     *@return
     */
    public boolean delTask(String taskId) throws BOSException
    {
        try {
            return getController().delTask(getContext(), taskId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡȫֵѩ-User defined method
     *@return
     */
    public Snowflake getSnowflake() throws BOSException
    {
        try {
            return getController().getSnowflake(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡҵ-User defined method
     *@return
     */
    public String getBizNo() throws BOSException
    {
        try {
            return getController().getBizNo(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ִһΣܳɹʧ-User defined method
     *@param osfServiceName osf
     *@param param 
     *@param catalog 
     *@param taskPreId ǰûɣ񲻻ִС
     *@param sourceBillId Դݵid
     *@return
     */
    public String addTask(String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId, String sourceBillId) throws BOSException
    {
        try {
            return getController().addTask(getContext(), osfServiceName, param, catalog, taskPreId, sourceBillId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}