package com.kingdee.eas.custom.shuiyou.taxCal.inter;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.util.EASResource;
import com.kingdee.eas.custom.shuiyou.taxCal.TaxCalFacadeFactory;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.base.syssetting.api.bean.BatchMessageTipsBody;
import com.kingdee.shr.base.syssetting.api.bean.BatchMessageTipsHeader;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.compensation.app.tax.IsAllowedQuoted;
import com.kingdee.shr.compensation.app.tax.TaxUnitCollection;
import com.kingdee.shr.compensation.app.tax.TaxUnitFactory;
import com.kingdee.shr.compensation.app.tax.TaxUnitInfo;
import com.kingdee.shr.compensation.app.taxCal.TaxCalInitDetailStateEnum;
import com.kingdee.shr.compensation.app.taxCal.TaxCalTaskCatalogEnum;
import com.kingdee.shr.compensation.exception.ExceptionHandle;
import com.kingdee.shr.compensation.util.CmpStrUtil;
import com.kingdee.shr.compensation.web.handler.taxCal.inter.InterInitDynamicListHandler;
import com.kingdee.util.StringUtils;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;;
import java.text.MessageFormat;
import java.util.*;

/**
 * @Description ˰_ListHandlerչ
 * @Date 2024/8/30 13:59
 * @Created by Heyuan
 */
public class InterInitDynamicListHandlerEx extends InterInitDynamicListHandler {
    /**
     * ӿ˰
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void calTaxAction(HttpServletRequest request,
                             HttpServletResponse response,
                             ModelMap modelMap) throws SHRWebException {
        Context ctx = SHRContext.getInstance().getContext();
        String filterSql = this.getFilterSql(request, response, modelMap);
        List<String> allIdList = new ArrayList();
        BatchMessageTipsHeader header = new BatchMessageTipsHeader();
        int sucsess = 0;
        int fail = 0;
        int count = 0;
        java.sql.Date periodBegin = null;
        StringBuilder str = new StringBuilder();
        str.append(" SELECT DETAIL.FID ID,detail.FTaxUnitID, DETAIL.FSTATE, DETAIL.FPERIODEND, DETAIL.FINCOMEITEMID,RECORD.FID RECORDID, ENTRY.FID ENTRYID,ENTRY.FACCEPTID FACCEPTID,ENTRY.FSUBMITSTATUS, ENTRY.FEMPLOYEDDATE, ");
        str.append(" PERSON.FNAME_L2 NAME, PERSON.FNUMBER PERNUMBER, DETAIL.FPERIODBEGIN, ti.fName_l2 incomeItemName, detail.fPersonId, config.fState confirmState, config.fIsLast ");
        //˰Ӧ+˰ϸ
        str.append(" FROM t_hr_sTaxCalInitDetail DETAIL ");
        //˰Ӧ+˰ղϸ
        str.append(" left join t_hr_sTaxCalConfigDetail config ON DETAIL.fCmpCalTableId = config.fCmpCalTableId and DETAIL.fIncomeItemId = config.fIncomeItemId ");
        //Ա
        str.append(" INNER JOIN T_BD_PERSON PERSON ON DETAIL.FPERSONID = PERSON.FID ");
        //Ա˰
        str.append(" LEFT JOIN T_HR_STAXPERSONRECORD RECORD ON RECORD.FPERSONID = PERSON.FID ");
        //˰Ŀ
        str.append(" LEFT JOIN t_hr_sTaxIncomeItem ti ON DETAIL.fIncomeItemId = ti.fid ");
        //ְܹʹҵϢ¼
        str.append(" LEFT JOIN T_HR_STAXPERSONRECORDENTRY ENTRY ON DETAIL.FPERSONID = ENTRY.FPERSONID ");
        str.append(" AND detail.FTaxUnitID = entry.FTaxUnitID ");
        str.append(" WHERE DETAIL.FID IN (").append(filterSql).append(")");
        Map<String, Set<String>> personMap = new HashMap();
        ArrayList speAddParams = new ArrayList();
        try {
            String sql = "select id,isAutoDeduct where id in(select FTaxUnitID from T_HR_STAXCALINITDETAIL where fid in (" + filterSql + "))";
            TaxUnitCollection taxUnitCollection = TaxUnitFactory.getLocalInstance(ctx).getTaxUnitCollection(sql);
            Set<String> autoDeductTaxUnit = new HashSet();
            if (null != taxUnitCollection && taxUnitCollection.size() > 0) {
                int i = 0;
                for (int size = taxUnitCollection.size(); i < size; ++i) {
                    TaxUnitInfo taxUnitInfo = taxUnitCollection.get(i);
                    IsAllowedQuoted isAutoDeduct = taxUnitInfo.getIsAutoDeduct();
                    if (1 == isAutoDeduct.getValue()) {
                        autoDeductTaxUnit.add(taxUnitInfo.getId().toString());
                    }
                }
            }
            IRowSet rowSet1 = DbUtil.executeQuery(ctx, str.toString());
            while (rowSet1.next()) {
                if (count == 0) {
                    //ڿʼ
                    periodBegin = rowSet1.getDate("FPERIODBEGIN");
                }
                ++count;
                if (null != periodBegin && !periodBegin.equals(rowSet1.getDate("FPERIODBEGIN"))) {
                    throw new ShrWebBizException(EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label69", ctx.getLocale()));
                }
                boolean isSuccess = true;
                boolean isAutoDeductBoolean = autoDeductTaxUnit.contains(rowSet1.getString("FTaxUnitID"));
                String incomeItemID = rowSet1.getString("FINCOMEITEMID");
                String personId = rowSet1.getString("fPersonId");
                String taxUnitId = rowSet1.getString("fTaxUnitId");
                String msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label70", ctx.getLocale());
                BatchMessageTipsBody body = new BatchMessageTipsBody();
                body.setId(rowSet1.getString("ID"));
                if (StringUtils.isEmpty(rowSet1.getString("RECORDID"))) {
                    isSuccess = false;
                    msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label71", ctx.getLocale());
                } else if (StringUtils.isEmpty(rowSet1.getString("ENTRYID"))) {
                    isSuccess = false;
                    msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label72", ctx.getLocale());
                } else if (30 == rowSet1.getInt("FSTATE")) {
                    isSuccess = false;
                    msg = MessageFormat.format(EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label73", ctx.getLocale()), TaxCalInitDetailStateEnum.getEnum(rowSet1.getInt("FSTATE")).getAlias());
                } else if (20 == rowSet1.getInt("confirmState")) {
                    isSuccess = false;
                    msg = "ʧܣԱ˰-ȷϣظ";
                } else if (rowSet1.getInt("fIsLast") == 0 && rowSet1.getInt("confirmState") != 0) {
                    isSuccess = false;
                    msg = "ʧܣú֮µ˰ɾ˰ݺѡһݽм";
                } else if (rowSet1.getDate("FPERIODEND").before(rowSet1.getDate("FEMPLOYEDDATE"))) {
                    isSuccess = false;
                    msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label77", ctx.getLocale());
                } else if ("1".equals(rowSet1.getString("FSubmitStatus")) && StringUtils.isEmpty(rowSet1.getString("FAcceptId"))) {
                    isSuccess = false;
                    msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label75", ctx.getLocale());
                } else if (null == rowSet1.getDate("FEMPLOYEDDATE")) {
                    isSuccess = false;
                    msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label76", ctx.getLocale());
                } else if ("0".equals(rowSet1.getString("FSubmitStatus")) || "3".equals(rowSet1.getString("FSubmitStatus"))) {
                    if (isAutoDeductBoolean && "8r0AAABCg2PDiOoP".equals(incomeItemID)) {
                        msg = "ԱδԱͣͬʱԱרӿ۳걨˰˰ϵͳҪȴӣִмв鿴н";
                    } else {
                        msg = EASResource.getString("com.kingdee.shr.compensation.resource.CommonResource", "label74", ctx.getLocale());
                    }
                }
                if (isSuccess) {
                    ++sucsess;
                    String key = taxUnitId + "_" + personId + "_" + incomeItemID;
                    //˰Ӧ+˰ϸid
                    String initId = rowSet1.getString("ID");
                    //map
                    this.addPersonMap(key, personMap, initId);
                    Object[] param = new Object[]{taxUnitId, personId};
                    speAddParams.add(param);
                } else {
                    ++fail;
                }
                body.setMuitTipsState(isSuccess);
                body.setMuitTipsMessage(msg);
                List<Object> messageListExt = new ArrayList();
                messageListExt.add(rowSet1.getString("NAME"));
                messageListExt.add(rowSet1.getString("PERNUMBER"));
                messageListExt.add(rowSet1.getString("incomeItemName"));
                body.addMessageListExt(messageListExt);
                header.addResult(body);
                allIdList.add(rowSet1.getString("ID"));
            }
        } catch (Exception var30) {
            ExceptionHandle.handleException(var30);
        }
        header.setBillId(CmpStrUtil.convertListToString(allIdList));
        header.setFailureCount(fail);
        header.setSuccessCount(sucsess);
        try {
            //
            this.removeSpecialAdditionalDeduction(ctx, modelMap, speAddParams, periodBegin);
            Set<String> initIds = new HashSet();
            Map.Entry entry;
            for (Iterator i$ = personMap.entrySet().iterator(); i$.hasNext(); initIds.addAll((Collection) entry.getValue())) {
                entry = (Map.Entry) i$.next();
                if (initIds.size() >= 600) {
                    //˰ƴװfacadeύʼ
                    TaxCalFacadeFactory.getLocalInstance(ctx).submitInitData(CmpStrUtil.converCollectionToSql(initIds), (String) null, TaxCalTaskCatalogEnum.CAL);
                    //SYUtilsFacadeFactory.getLocalInstance(ctx).post()
                    initIds = new HashSet();
                }
            }
            if (!initIds.isEmpty()) {
                TaxCalFacadeFactory.getLocalInstance(ctx).submitInitData(CmpStrUtil.converCollectionToSql(initIds), (String) null, TaxCalTaskCatalogEnum.CAL);
            }
        } catch (BOSException var29) {
            ExceptionHandle.handleException(var29);
        }
        this.writeSuccessData(header);
    }
}