shr.defineClass("shr.compensation.TaxPersonRecordListEx", shr.compensation.TaxPersonRecordList, {
	initalizeDOM : function(){
		shr.compensation.TaxPersonRecordListEx.superClass.initalizeDOM.call(this);
		var _self = this;
	},
	/**
     * 同步人员纳税信息
     */
    synTaxPersonRecordAction(){
        var _self = this;
        var html = [], buttons = [], $dialog = $("#generateDataDialog"), $body = $(document.body);
		if($dialog.size() == 0) {
			$dialog = $("<div id='generateDataDialog' class='tiny-dialog'></div>").appendTo($body);
		}
		html = ['<div id="generateDataHtml" style="margin-left:235px">',
		        	'<div class="sync-row row-fluid">',
				        '<div data-ctrlrole="labelContainer">',
				        	'<div class="col-lg-6 textLeft"><div class="field_label" title="'+'纳税单位名称'+'">'+
				        	'纳税单位名称'+'</div></div>'		,		
				        	'<div class="col-lg-6 field-ctrl"><input id="taxUnitF7" class="taxUnitF7" validate="{required:true}"></input></div>',
				        '</div>',
				     '</div>',
				    '<div class="sync-row row-fluid" style="margin-top:20px">',
				        '<div data-ctrlrole="labelContainer">',
				            '<div class="col-lg-6 textLeft"><div class="field_label"  title="'+'所属年月'+'">'+
				            '所属年月'+'</div></div>',
				            '<div class="col-lg-6 field-ctrl">',
				                '<div><div class="ui-datepicker-layout"><div class="ui-datepicker-inputframe"><input id="yearMonthData" name="yearMonthData" class="block-father input-height" value="" validate="" placeholder="" type="text" dataextenal="" autocomplete="off" istotemplate="true" ctrlrole="datetimepicker"></div></div></div>',			
				        	'</div>',
				        '</div>',
		        	'</div>',
		        '</div>'];
		var saveSettingButton = _self.getSaveSettingButton();
		buttons.push(saveSettingButton);
		showDialog("#generateDataDialog", 
				'同步纳税人员信息',
				html.join(""),buttons, 700, 320, '取消');
		var dateTimePicker_json = {};
		
		dateTimePicker_json.readonly = '';
		dateTimePicker_json.validate = '{required:true}';
		dateTimePicker_json.format = 'yyyy-mm';
		dateTimePicker_json.id = "yearMonthData";
		
		dateTimePicker_json.isRemoveDay = true;
		dateTimePicker_json.ctrlType = 'Date';
		
		$('#yearMonthData').shrDateTimePicker(dateTimePicker_json);	
		var date = new Date();
		var dateStr = date.format('yyyy-MM');
		var dateArr = dateStr.split('-');
		if(parseInt(dateArr[1]) == 1){
			dateStr = (parseInt(dateArr[0]) - 1) + "-12";
		}else{
			dateStr = dateArr[0] + "-" + (parseInt(dateArr[1]) - 1);
		}
		$('#yearMonthData').shrDateTimePicker('setValue',dateStr , 'yyyy-MM');
    	var grid_f7_json = {
    			id: "taxUnitF7",
    			name: "taxUnitF7",
    			subWidgetName:"shrPromptGrid",
    			validate:"{required:true}",
    			subWidgetOptions: {
    				title: '选择纳税单位:',
    				uipk: "com.kingdee.shr.compensation.app.tax.TaxDeclareTaxUnitF7",
    				filter:'',
    				multiselect:true,
    				isInput:true,
    			},
    	};
        $("#taxUnitF7").shrPromptBox(grid_f7_json);
		$("#yearMonthData").shrDateTimePicker("disable")
        shr.callHandler({
		    handler: "com.kingdee.shr.compensation.web.handler.tax.TaxDeclareTaxUnitF7Handler",
			action : "getPersonAllPermTaxUnit",
			async: false,
			param : {
			},
			error:function(ret){		
				var message = ret.responseText;
				shr.showWarning({
					message : message,
                    hideAfter : 5
				});			
				return;
			},
			success : function(res){
				// console.log(res);
				$("#taxUnitF7").shrPromptBox("setValue",res);
			}
		});
        // _self.remoteCall({
        //     method: 'synTaxPersonRecord',
        //     param: {
        //         cmpschemeid:_self.cmpschemeid
        //     },
        //     async: false,
        //     success: function (data) {
        //         console.log(data);
        //     }, error: function (response) {
        //         shr.showError({
        //             message: response.summary
        //             , hideAfter: 2
        //         });
        //     }
        // });
    },
    getSaveSettingButton : function(){
		var _self = this;
		var saveSettingButton = {
			text : '确定',
			click : function(){
				var selectedTaxUnits = $('#taxUnitF7').shrPromptBox("getValue");
				var yearMonth =$('#yearMonthData').shrDateTimePicker("getValue");
				if(!selectedTaxUnits||selectedTaxUnits.length==0){
					shr.showError({message : '纳税单位不能为空',hideAfter : 5});	
					return;
				}
				if(!yearMonth||yearMonth==""){
					shr.showError({message : '所属年月不能为空',hideAfter : 5});
					return;
				}
				var taxUnitId="";
				for(var i=0;i<selectedTaxUnits.length;i++){
					if(i==0){
						taxUnitId=selectedTaxUnits[i].id;
					}else{
						taxUnitId=taxUnitId+","+selectedTaxUnits[i].id;
					}
				}
				var param = {};
				param.taxUnitIds=taxUnitId;
				yearMonth=yearMonth.slice(0,yearMonth.length-3);
				param.yearMonth=yearMonth;
				//存在数据库里
				console.log("param",param);

                _self.remoteCall({
                    method: 'synTaxPersonRecord',
                    param: param,
                    async: false,
                    success: function (data) {
                        $("#generateDataDialog").remove()
                        _self.queryGrid();
                        console.log(data);
                    }, error: function (response) {

                        shr.showError({
                            message: response.summary
                            , hideAfter: 2
                        });
                    }
                });
			}	
		}
		return saveSettingButton;
	},
	
	
	
	//任务监控
	taskMonitorAction: function(){
		var self = this;
		var urlParam = {
				//uipk : "com.kingdee.shr.compensation.app.taxCal.TaxCalTask.list",
				uipk: "com.kingdee.eas.custom.shuiyou.task.app.Task.list",
				catalog: "PERSON"
			};
		self.reloadPage(urlParam);
	},
	
	
	
    
});