package com.kingdee.eas.custom.shuiyou.incomeTax;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.shuiyou.incomeTax.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.util.Map;
import java.util.List;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class TaxPersonReportExFacade extends AbstractBizCtrl implements ITaxPersonReportExFacade
{
    public TaxPersonReportExFacade()
    {
        super();
        registerInterface(ITaxPersonReportExFacade.class, this);
    }
    public TaxPersonReportExFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaxPersonReportExFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("16E375A5");
    }
    private TaxPersonReportExFacadeController getController() throws BOSException
    {
        return (TaxPersonReportExFacadeController)getBizController();
    }
    /**
     *[description][%description][invokedemo][%invokedemo][returndesc]iļ[%returndesc]-User defined method
     *@param paramMap 
     *@return
     */
    public List report(Map paramMap) throws BOSException
    {
        try {
            return getController().report(getContext(), paramMap);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *Ͻ-User defined method
     *@param paramMap 
     *@return
     */
    public List pensionReport(Map paramMap) throws BOSException
    {
        try {
            return getController().pensionReport(getContext(), paramMap);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}