package com.kingdee.eas.custom.shuiyou.incomeTax;

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Maps;

import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.bos.rabbitmq.guava.Lists;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.person.PersonFactory;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.shuiyou.task.TaskCatalogEnum;
import com.kingdee.eas.custom.shuiyou.uitls.ISYUtilsFacade;
import com.kingdee.eas.custom.shuiyou.uitls.SYUtilsFacadeFactory;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.util.app.DbUtil;

import com.kingdee.shr.compensation.BankCardStatusEnum;
import com.kingdee.shr.compensation.IdentityStatusEnume;
import com.kingdee.shr.compensation.IsOverseaEnum;
import com.kingdee.shr.compensation.SubmitStatusEnum;
import com.kingdee.shr.compensation.app.entity.TaxPersonEntity;
import com.kingdee.shr.compensation.app.entity.Triple;
import com.kingdee.shr.compensation.app.incomeTax.*;

import com.kingdee.shr.compensation.app.tax.TaxUnitInfo;
import com.kingdee.shr.compensation.util.Base64Utils;
import com.kingdee.shr.compensation.util.CmpDateUtil;
import com.kingdee.shr.compensation.util.TaxReportUtil;
import com.kingdee.shr.compensation.util.filter.CmpTaxUnitPermFilter;
import com.kingdee.util.StringUtils;
import org.apache.log4j.Logger;

import java.lang.reflect.Field;

import com.kingdee.bos.*;

import java.text.SimpleDateFormat;
import java.util.*;
import java.lang.String;


public class TaxPersonReportExFacadeControllerBean extends AbstractTaxPersonReportExFacadeControllerBean {
    private static Logger logger =
            Logger.getLogger("com.kingdee.eas.custom.shuiyou.incomeTax.TaxPersonReportExFacadeControllerBean");

    /**
     * Ͻ
     */
    @Override
    protected List _pensionReport(Context ctx, Map paramMap) throws BOSException {
        String taxPeriodDate = (String) paramMap.get("taxPeriodDate");
        String ids = (String) paramMap.get("ids");
        String filter=(String) paramMap.get("filter");
        String curPersonPermTaxUnitSql = CmpTaxUnitPermFilter.getCurPersonPermTaxUnitSql(ctx);
        String oql = "select *,bill.*,bill.person.*,bill.nationality.*,bill.position.*,bill.birthPlace.*,bill.eduLevel.*,bill.bank.name,bill.hrBank.name,taxUnit.id,taxUnit.areacode,taxUnit.name,taxUnit.taxNumber,taxUnit.areaCode,taxUnit.regNumber,taxUnit.declPassword,taxUnit.realPassword where (submitStatus=0 or submitStatus=3) ";
        //logger.error("------------>>>>_pensionReport" + oql);
        if (!StringUtils.isEmpty(ids)) {
            //oql = oql + " and taxUnit.id in (" + curPersonPermTaxUnitSql + ")";
            oql = oql + " and id in (" + ids + ")";
        } else {
            if (StringUtils.isEmpty(filter)) {
                return null;
            }

            oql = oql + " and " + filter;
        }
        List<String> resultList= Lists.newArrayList();
        try {
            String RELAYTASK = (String) paramMap.get("RELAYTASK");
            logger.error("------------>>>>_pensionReport" + oql);
            ITaxPersonRecordEntry iTaxPersonRecordEntry = TaxPersonRecordEntryFactory.getLocalInstance(ctx);
            TaxPersonRecordEntryCollection taxRecordEntryCollection = iTaxPersonRecordEntry.getTaxPersonRecordEntryCollection(oql);
            if (taxRecordEntryCollection.size() == 0) {
                return null;
            } else {
                Map<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> tripleMap = this.getTripleMap(taxRecordEntryCollection, taxPeriodDate);

                SimpleDateFormat skssqFormat = new SimpleDateFormat("yyyyMM");
                Map<String, Object> returnMap = new HashMap<String, Object>();
                Calendar cal = Calendar.getInstance();
                logger.error("------------>>>>_pensionReport" + tripleMap);
                ISYUtilsFacade localInstance = SYUtilsFacadeFactory.getLocalInstance(ctx);
                Map<String, Object> propt = localInstance.getConfig();
                Iterator i$ = tripleMap.entrySet().iterator();
                while (i$.hasNext()) {
                    Map.Entry<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> entry = (Map.Entry) i$.next();
                    TaxUnitInfo taxUnitInfo = entry.getKey();
                    Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection> value = (Triple) entry.getValue();
                    List<TaxPersonEntity> taxPersonEntitys = (List) value.getFirst();
                    CoreBaseCollection entryBaseCollection = (CoreBaseCollection) value.getSecond();
                    CoreBaseCollection billBaseCollection = (CoreBaseCollection) value.getThree();
                    String bizNo = UUID.randomUUID().toString().replace("-", "");
                    String qymc = taxUnitInfo.getName();//ҵ
                    String mmlx = "0";// 0ʾ걨룻2ʾʵ˺ʵ
                    String smzh = "";//ʵ˺
                    String smmm = "";//ʵ
                    String jmsmmm = "";//ʵ
                    byte[] decode = Base64.getDecoder().decode(taxUnitInfo.getDeclPassword());
                    String sbmm = new String(decode);//;//걨
                    String jmsbmm = "";//걨
                    String djxhid = taxUnitInfo.getRegNumber();//Ǽ
                    String nsrsbh = taxUnitInfo.getTaxNumber();//˰
                    String areaid = taxUnitInfo.getAreaCode();//
                    String bmbh = "";//ű
                    String bmmc = "";//ű

                    String skssq = TaxReportUtil.getCurrentYearMonth(taxPeriodDate);
                    String year = skssq.substring(0,4);
                    String lzrqcl = "";
                    Map<String,Object> postBody = Maps.newHashMap();
                    postBody.put("bizNo", bizNo);
                    postBody.put("qymc", qymc);
                    postBody.put("mmlx", mmlx);
                    postBody.put("smzh", smzh);
                    postBody.put("smmm", smmm);
                    postBody.put("jmsmmm", jmsmmm);
                    postBody.put("sbmm", sbmm);
                    postBody.put("jmsbmm", jmsbmm);
                    postBody.put("djxhid", djxhid);
                    postBody.put("nsrsbh", nsrsbh);
                    postBody.put("areaid", areaid);
                    postBody.put("bmbh", bmbh);
                    postBody.put("bmmc", bmmc);
                    postBody.put("year", year);
                    postBody.put("skssq", skssq);
                    postBody.put("lzrqcl", lzrqcl);
                    BOSUuid id = taxUnitInfo.getId();
                    //STaxPersonRecordEntry
                    TaxPersonRecordEntryCollection taxPersonRecordEntrys =
                            TaxPersonRecordEntryFactory.getLocalInstance(ctx).
                                    getTaxPersonRecordEntryCollection("select * , bill.* where taxUnit = '" + id.toString() + "'");
                    JSONArray rylb = new JSONArray();
                    JSONObject personInfo = null;
                    int size = taxPersonRecordEntrys.size();
                    if (size == 0) {
                        break;
                    }
                    for (int j = 0; j < size; j++) {
                        personInfo = new JSONObject();
                        TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = taxPersonRecordEntrys.get(j);
                        TaxPersonRecordInfo bill = taxPersonRecordEntryInfo.getBill();
                        String xm = PersonFactory.getLocalInstance(ctx).getPersonInfo(new ObjectUuidPK(bill.getPerson().getId())).getName();//
                        String zzlx = bill.getCardType().getAlias();//֤
                        String zzhm = bill.getCardNumber();//֤
                        String s = cardTypeReflection(zzlx);//֤
                        personInfo.put("xm", xm);
                        personInfo.put("zzlx", s);
                        personInfo.put("zzhm", zzhm);
                        rylb.add(personInfo);
                    }
                    postBody.put("rylb", rylb);
                    String ip = (String) propt.get("ip");
                    String url = ip + "/gateway/iit/personalPension/download";
                    logger.error("=====" + postBody + "========");
                    String taskId = localInstance.addTask("getPensionDownloadService",JSONUtil.toJsonStr(postBody),TaskCatalogEnum.PERSONAL_PENSION,RELAYTASK);
                    resultList.add(taskId);
                }
            }
        } catch (BOSException e) {
            logger.error(e);
            throw new RuntimeException(e);
        } catch (EASBizException e) {
            logger.error(e);
            throw new RuntimeException(e);
        }
        return resultList;
    }

    public String cardTypeReflection(String cardTypeName) {
        switch (cardTypeName) {
            case "֤":
                return "֤";
            case "й":
                return "й";
            case "۰ľڵ֤ͨ":
                return "۰ľڵ֤ͨ";
            case "л񹲺͹۰ľס֤":
                return "۰ľڵ֤ͨ";
            case "̨½֤ͨ":
                return "̨½֤ͨ";
            case "л񹲺͹̨ס֤":
                return "̨ס֤";
            case "":
                return "";
            case "þ֤":
                return "þ֤";
            case "л񹲺͹˹֤Aࣩ":
                return "˹֤Aࣩ";
            case "л񹲺͹˹֤Bࣩ":
                return "˹֤Bࣩ";
            case "л񹲺͹˹֤Cࣩ":
                return "˹֤Cࣩ";
        }
        return "";
    }

    public Boolean isCardType(String cardType) {
        String cardTypes = "۰ľס֤,̨ס֤,þ֤,˹֤Aࣩ,˹֤Bࣩ,˹֤Cࣩ";
        if (cardTypes.indexOf(cardType) >= 0) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Ա
     *
     * @param ctx
     * @param paramMap
     * @return
     * @throws BOSException
     */
    @Override
    protected List _report(Context ctx, Map paramMap) throws BOSException {
        String taxPeriodDate = (String) paramMap.get("taxPeriodDate");
        String entryIDs = (String) paramMap.get("entryIDs");
        String filter=(String) paramMap.get("filter");
        String RELAYTASK = (String) paramMap.get("RELAYTASK");
        String curPersonPermTaxUnitSql = CmpTaxUnitPermFilter.getCurPersonPermTaxUnitSql(ctx);
        String oql = "select *,bill.*,bill.person.*,bill.nationality.*,bill.position.*,bill.birthPlace.*,bill.eduLevel.*,bill.bank.name,bill.hrBank.name,taxUnit.id,taxUnit.areacode,taxUnit.name,taxUnit.taxNumber,taxUnit.areaCode,taxUnit.regNumber,taxUnit.declPassword,taxUnit.realPassword where (submitStatus=0 or submitStatus=3) ";
        logger.error("------------>>>>_report" + oql);
        if (!StringUtils.isEmpty(entryIDs)) {
            oql = oql + " and taxUnit.id in (" + curPersonPermTaxUnitSql + ")";
            oql = oql + " and id in (" + entryIDs + ")";
        } else {
            if (StringUtils.isEmpty(filter)) {
                return null;
            }

            oql = oql + " and " + filter;
        }
        ArrayList arrayList = new ArrayList();
        try {
            ITaxPersonRecordEntry iTaxPersonRecordEntry = TaxPersonRecordEntryFactory.getLocalInstance(ctx);
            TaxPersonRecordEntryCollection taxRecordEntryCollection = iTaxPersonRecordEntry.getTaxPersonRecordEntryCollection(oql);
            if (taxRecordEntryCollection.size() == 0) {
                return null;
            } else {
                Map<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> tripleMap = this.getTripleMap(taxRecordEntryCollection, taxPeriodDate);

                Iterator i$ = tripleMap.entrySet().iterator();
                ISYUtilsFacade localInstance = SYUtilsFacadeFactory.getLocalInstance(ctx);
                Map<String, String> propt = localInstance.getConfig();
                while (i$.hasNext()) {
                    Map.Entry<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> entry = (Map.Entry) i$.next();
                    TaxUnitInfo taxUnitInfo = (TaxUnitInfo) entry.getKey();
                    Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection> value = (Triple) entry.getValue();
                    List<TaxPersonEntity> taxPersonEntitys = (List) value.getFirst();
                    CoreBaseCollection entryBaseCollection = (CoreBaseCollection) value.getSecond();
                    CoreBaseCollection billBaseCollection = (CoreBaseCollection) value.getThree();
                    Map<String, Object> reMap = new HashMap();
                    reMap.put("nsrsbh", taxUnitInfo.getTaxNumber());
                    reMap.put("areaid", taxUnitInfo.getAreaCode());
                    reMap.put("djxhid", taxUnitInfo.getRegNumber());
                    reMap.put("ver", "V2.0.000");
                    reMap.put("sbmm", Base64Utils.decode(taxUnitInfo.getDeclPassword()));
                    String realPassword = taxUnitInfo.getRealPassword();
                    if (!StringUtils.isEmpty(realPassword)) {
                        reMap.put("smmm", Base64Utils.decode(realPassword));
                    }

                    reMap.put("zrs", taxPersonEntitys.size());
                    String sdyf = TaxReportUtil.getCurrentYearMonth(taxPeriodDate);
                    reMap.put("sdyf", sdyf);
                    reMap.put("bmbh", "");
                    reMap.put("nsrlb", taxPersonEntitys);
                    reMap.put("TAXUNITID", taxUnitInfo.getId().toString());
                    Set<String> persons = this.getPersonsSet(taxPersonEntitys, sdyf);
                    reMap.put("persons", persons);
                    //ʼ
                    String bizNo = UUID.randomUUID().toString().replace("-", "");
                    String qymc = taxUnitInfo.getName();//ҵ
                    String mmlx = "0";// 0ʾ걨룻2ʾʵ˺ʵ
                    String smzh = "";//ʵ˺
                    String smmm = "";//ʵ
                    String jmsmmm = "";//ʵ
                    String sbmm = "";
                    sbmm = (Base64Utils.decode(taxUnitInfo.getDeclPassword()));
                    String jmsbmm = "";//걨
                    String djxhid = taxUnitInfo.getRegNumber();//Ǽ
                    String nsrsbh = taxUnitInfo.getTaxNumber();//˰
                    String areaid = taxUnitInfo.getAreaCode();//
                    String bmbh = "";//ű
                    String bmmc = "";//ű
                    String skssq = sdyf;//
                    String lzrqcl = "";
                    JSONObject postBody = new JSONObject();
                    postBody.put("bizNo", bizNo);
                    postBody.put("qymc", qymc);
                    postBody.put("mmlx", mmlx);
                    postBody.put("smzh", smzh);
                    postBody.put("smmm", smmm);
                    postBody.put("jmsmmm", jmsmmm);
                    postBody.put("sbmm", sbmm);
                    postBody.put("jmsbmm", jmsbmm);
                    postBody.put("djxhid", djxhid);
                    postBody.put("nsrsbh", nsrsbh);
                    postBody.put("areaid", areaid);
                    postBody.put("bmbh", bmbh);
                    postBody.put("bmmc", bmmc);
                    postBody.put("skssq", skssq);
                    postBody.put("lzrqcl", lzrqcl);
                    BOSUuid id = taxUnitInfo.getId();
                    JSONArray rylb = new JSONArray();
                    for (TaxPersonEntity personEntity : taxPersonEntitys) {
                        Map<String, Object> person = this.objectToMap(personEntity);

                        TaxPersonRecordInfo rInfo = null;
                        String zzhm = personEntity.getZzhm();
                        for (int i = 0; i < billBaseCollection.size(); i++) {
                            TaxPersonRecordInfo r1Info = (TaxPersonRecordInfo) billBaseCollection.get(i);
                            if (zzhm.equals(r1Info.getCardNumber())) {
                                rInfo = r1Info;
                                break;
                            }
                        }
                        person.put("xl",null);
                        person.put("skssq", sdyf);
                        Optional<IsOverseaEnum> oversea = Optional.ofNullable(rInfo.getIsOversea());
                        person.put("rydq", "0".equals(oversea.orElse(IsOverseaEnum.NotOversea).getValue()) ? "" : "");
                        person.put("grgbbl", rInfo.getInvestmentRate());//Ͷܶ
                        person.put("grgbze", rInfo.getInvestmentTotal());//Ͷʱ
                        person.put("khyhsfmz", rInfo.getBankCardProvince());//ʡ()
                        person.put("rybscl", "");//ʡ()
                        person.remove("sfkcjcfy");
                        person.remove("khyh_sheng");
                        rylb.add(person);
                    }
                    postBody.put("rylb", rylb);
                    String ip = propt.get("ip");
                    String url = ip + "/gateway/iit/declare/declareEmployeeInfo";
                    logger.error("=====" + postBody + "========");
                    String post = localInstance.post(url, postBody.toJSONString());
                    if(null!=post) {
                        System.out.println(post);
                        JSONObject postJSON = JSONObject.parseObject(post);
                        //У Ƿɹ
                        JSONObject head = postJSON.getJSONObject("head");
                        String code = (String) head.get("code");
                        String msg = (String) head.get("msg");
                        if ("00000000".equals(code)) {
                            JSONObject body = postJSON.getJSONObject("body");

                            String taskId = localInstance.addTask("personnelReportService", JSONUtil.toJsonStr(body), TaskCatalogEnum.PERSON, RELAYTASK);
                            List<Object[]> recordEntryParamsList = this.getParamsList(entryBaseCollection, taskId);
                            String recordEntrySql = "update T_HR_STaxPersonRecordEntry set FSubmitStatus= ?, FIdentityStatus=?,CFTaskID=?, FLastReportMonth=?,FEndDate=? where fid =?";
                            DbUtil.executeBatch(ctx, recordEntrySql, recordEntryParamsList);
                            logger.info("--------->>>>>±״̬֤״̬recordEntrySql:" + recordEntrySql + "------>>>>recordEntryParamsList:" + recordEntryParamsList + "---------->>>addTask:" + taskId);
                            List<Object[]> recordParamsList = this.getParamsList(billBaseCollection, (String) null);
                            String recordSql = "update T_HR_STaxPersonRecord set FBankCardStatus=? where fid =?";
                            DbUtil.executeBatch(ctx, recordSql, recordParamsList);
                            logger.info("--------->>>>>п״̬recordSql:" + recordSql + "------>>>>recordParamsList:" + recordParamsList);
                            arrayList.add(taskId);
                        }else {
                            throw new BOSException(msg);
                        }
                    }else {
                        throw new BOSException("쳣");
                    }
                }
                return arrayList;
            }
        } catch (Exception var28) {
            logger.error(var28.getMessage(), var28);
            logger.error("------------>>>>쳣" + var28.getMessage());
            throw new BOSException(var28.getMessage(), var28);
        }
    }

    protected Set<String> getPersonsSet(List<TaxPersonEntity> taxPersonEntitys, String sdyf) {
        Set<String> result = new HashSet();
        if (null != taxPersonEntitys && taxPersonEntitys.size() >= 1) {
            Iterator i$ = taxPersonEntitys.iterator();

            while (i$.hasNext()) {
                TaxPersonEntity taxPersonEntity = (TaxPersonEntity) i$.next();
                result.add(taxPersonEntity.getXm() + "_" + taxPersonEntity.getZzhm() + "_" + taxPersonEntity.getZzlx() + "_" + sdyf);
            }

            return result;
        } else {
            return result;
        }
    }

    protected Map<TaxUnitInfo, List<TaxPersonRecordEntryInfo>> getEntryMap(TaxPersonRecordEntryCollection taxRecordEntryCollection) {
        Map<TaxUnitInfo, List<TaxPersonRecordEntryInfo>> entryMap = new HashMap();
        Map<String, List<TaxPersonRecordEntryInfo>> stringEntryMap = new HashMap();
        Map<String, TaxUnitInfo> taxUnitMap = new HashMap();

        for (int i = 0; i < taxRecordEntryCollection.size(); ++i) {
            TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = taxRecordEntryCollection.get(i);
            TaxUnitInfo taxUnit = taxPersonRecordEntryInfo.getTaxUnit();
            if (!taxUnitMap.containsKey(taxUnit.getId().toString())) {
                taxUnitMap.put(taxUnit.getId().toString(), taxUnit);
            }

            if (stringEntryMap.containsKey(taxUnit.getId().toString())) {
                List<TaxPersonRecordEntryInfo> taxPersonRecordEntryInfos = (List) stringEntryMap.get(taxUnit.getId().toString());
                taxPersonRecordEntryInfos.add(taxPersonRecordEntryInfo);
            } else {
                List<TaxPersonRecordEntryInfo> taxPersonRecordEntryInfos = new ArrayList();
                taxPersonRecordEntryInfos.add(taxPersonRecordEntryInfo);
                stringEntryMap.put(taxUnit.getId().toString(), taxPersonRecordEntryInfos);
            }
        }

        Iterator i$ = stringEntryMap.entrySet().iterator();

        while (i$.hasNext()) {
            Map.Entry<String, List<TaxPersonRecordEntryInfo>> entry = (Map.Entry) i$.next();
            entryMap.put(taxUnitMap.get(entry.getKey()), entry.getValue());
        }

        return entryMap;
    }

    public Map<String, Object> objectToMap(Object obj) {
        Map<String, Object> map = Maps.newHashMap();
        Class<?> clazz = obj.getClass();
        for (Field field : clazz.getDeclaredFields()) {
            try {
                field.setAccessible(true);
                map.put(field.getName(), field.get(obj));
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        return map;
    }

    protected List<Object[]> getParamsList(CoreBaseCollection coreBaseCollection, String taskId) {
        List<Object[]> paramsList = new ArrayList();

        for (int i = 0; i < coreBaseCollection.size(); ++i) {
            CoreBaseInfo coreBaseInfo = coreBaseCollection.get(i);
            Object[] object;
            String bankCardStatus;
            String id;
            if (coreBaseInfo instanceof TaxPersonRecordEntryInfo) {
                object = new Object[6];
                TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = (TaxPersonRecordEntryInfo) coreBaseInfo;
                bankCardStatus = taxPersonRecordEntryInfo.getSubmitStatus().getValue();
                String identityStatus = taxPersonRecordEntryInfo.getIdentityStatus().getValue();
                String lastReportMonth = taxPersonRecordEntryInfo.getLastReportMonth();
                id = taxPersonRecordEntryInfo.getId().toString();
                object[0] = bankCardStatus;
                object[1] = identityStatus;
                object[2] = taskId != null ? taskId : "-1";
                object[3] = lastReportMonth;
                object[4] = CmpDateUtil.toSqlDate(lastReportMonth + "-01");
                object[5] = id;
                paramsList.add(object);
            }

            if (coreBaseInfo instanceof TaxPersonRecordInfo) {
                object = new Object[2];
                TaxPersonRecordInfo taxPersonRecordInfo = (TaxPersonRecordInfo) coreBaseInfo;
                bankCardStatus = taxPersonRecordInfo.getBankCardStatus().getValue();
                id = taxPersonRecordInfo.getId().toString();
                object[0] = bankCardStatus;
                object[1] = id;
                paramsList.add(object);
            }
        }

        return paramsList;
    }

    protected Map<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> getTripleMap(TaxPersonRecordEntryCollection taxRecordEntryCollection, String taxPeriodDate) {
        Map<TaxUnitInfo, Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection>> tripleMap = new HashMap();
        Map<TaxUnitInfo, List<TaxPersonRecordEntryInfo>> entryMap = this.getEntryMap(taxRecordEntryCollection);
        Set<String> billIdSet = new HashSet();
        Iterator i$ = entryMap.entrySet().iterator();

        while (i$.hasNext()) {
            Map.Entry<TaxUnitInfo, List<TaxPersonRecordEntryInfo>> entry = (Map.Entry) i$.next();
            Triple<List<TaxPersonEntity>, CoreBaseCollection, CoreBaseCollection> triple = new Triple();
            TaxUnitInfo key = (TaxUnitInfo) entry.getKey();
            List<TaxPersonRecordEntryInfo> value = (List) entry.getValue();
            List<TaxPersonEntity> taxPersonEntitys = new ArrayList();
            CoreBaseCollection entryBaseCollection = new CoreBaseCollection();
            CoreBaseCollection billBaseCollection = new CoreBaseCollection();
            Iterator i$value = value.iterator();

            while (i$value.hasNext()) {
                TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = (TaxPersonRecordEntryInfo) i$value.next();
                TaxPersonEntity taxPersonEntity = TaxReportUtil.taxPersonRecordEntryInfo2TaxPersonEntity(taxPersonRecordEntryInfo);
                taxPersonEntitys.add(taxPersonEntity);
                taxPersonRecordEntryInfo.setSubmitStatus(SubmitStatusEnum.Submiting);
                taxPersonRecordEntryInfo.setIdentityStatus(IdentityStatusEnume.VerifyING);
                taxPersonRecordEntryInfo.setLastReportMonth(taxPeriodDate);
                entryBaseCollection.add(taxPersonRecordEntryInfo);
                TaxPersonRecordInfo bill = taxPersonRecordEntryInfo.getBill();
                if (!billIdSet.contains(bill.getId().toString())) {
                    bill.setBankCardStatus(BankCardStatusEnum.VerifyING);
                    billBaseCollection.add(bill);
                    billIdSet.add(bill.getId().toString());
                }
            }

            triple.setFirst(taxPersonEntitys);
            triple.setSecond(entryBaseCollection);
            triple.setThree(billBaseCollection);
            tripleMap.put(key, triple);
        }

        return tripleMap;
    }
}