package com.kingdee.eas.custom.shuiyou.interfacelog;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.shuiyou.interfacelog.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class LogInfo extends CoreBillBase implements ILogInfo
{
    public LogInfo()
    {
        super();
        registerInterface(ILogInfo.class, this);
    }
    public LogInfo(Context ctx)
    {
        super(ctx);
        registerInterface(ILogInfo.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CDEA8832");
    }
    private LogInfoController getController() throws BOSException
    {
        return (LogInfoController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public LogInfoCollection getLogInfoCollection() throws BOSException
    {
        try {
            return getController().getLogInfoCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public LogInfoCollection getLogInfoCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getLogInfoCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public LogInfoCollection getLogInfoCollection(String oql) throws BOSException
    {
        try {
            return getController().getLogInfoCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public LogInfoInfo getLogInfoInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getLogInfoInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public LogInfoInfo getLogInfoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getLogInfoInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public LogInfoInfo getLogInfoInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getLogInfoInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}