/**
 * output package name
 */
package com.kingdee.eas.custom.shuiyou.task;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ExecutionStatusEnum extends StringEnum
{
    public static final String SUCCESS_VALUE = "success";//alias=ɹ
    public static final String AGAIN_VALUE = "again";//alias=
    public static final String FAILED_VALUE = "failed";//alias=ʧ
    public static final String ERROR_VALUE = "error";//alias=
    public static final String AWAIT_W_VALUE = "await_w";//alias=ȴ

    public static final ExecutionStatusEnum success = new ExecutionStatusEnum("success", SUCCESS_VALUE);
    public static final ExecutionStatusEnum again = new ExecutionStatusEnum("again", AGAIN_VALUE);
    public static final ExecutionStatusEnum failed = new ExecutionStatusEnum("failed", FAILED_VALUE);
    public static final ExecutionStatusEnum error = new ExecutionStatusEnum("error", ERROR_VALUE);
    public static final ExecutionStatusEnum await_w = new ExecutionStatusEnum("await_w", AWAIT_W_VALUE);

    /**
     * construct function
     * @param String executionStatusEnum
     */
    private ExecutionStatusEnum(String name, String executionStatusEnum)
    {
        super(name, executionStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ExecutionStatusEnum getEnum(String executionStatusEnum)
    {
        return (ExecutionStatusEnum)getEnum(ExecutionStatusEnum.class, executionStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ExecutionStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ExecutionStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ExecutionStatusEnum.class);
    }
}