package com.kingdee.eas.custom.shuiyou.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.eas.custom.shuiyou.task.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class Task extends CoreBillBase implements ITask
{
    public Task()
    {
        super();
        registerInterface(ITask.class, this);
    }
    public Task(Context ctx)
    {
        super(ctx);
        registerInterface(ITask.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CE95928B");
    }
    private TaskController getController() throws BOSException
    {
        return (TaskController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public TaskCollection getTaskCollection() throws BOSException
    {
        try {
            return getController().getTaskCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public TaskCollection getTaskCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getTaskCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public TaskCollection getTaskCollection(String oql) throws BOSException
    {
        try {
            return getController().getTaskCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public TaskInfo getTaskInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public TaskInfo getTaskInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public TaskInfo getTaskInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getTaskInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}