package com.kingdee.eas.custom.shuiyou.taxCal;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.shr.compensation.app.taxCal.TaxCalTaskCatalogEnum;
import com.kingdee.eas.custom.shuiyou.taxCal.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class TaxCalFacade extends AbstractBizCtrl implements ITaxCalFacade
{
    public TaxCalFacade()
    {
        super();
        registerInterface(ITaxCalFacade.class, this);
    }
    public TaxCalFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaxCalFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("74192D98");
    }
    private TaxCalFacadeController getController() throws BOSException
    {
        return (TaxCalFacadeController)getBizController();
    }
    /**
     *ƴװ˰-User defined method
     *@param initIds ϸid
     *@param relayTaskID ǰid
     *@param taskCatalog taskCatalog
     *@return
     */
    public String submitInitData(String initIds, String relayTaskID, TaxCalTaskCatalogEnum taskCatalog) throws BOSException
    {
        try {
            return getController().submitInitData(getContext(), initIds, relayTaskID, taskCatalog);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}