package com.kingdee.eas.custom.shuiyou.uitls;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.util.Map;
import com.kingdee.eas.custom.shuiyou.interfacelog.LogInfoInfo;
import com.kingdee.eas.custom.shuiyou.interfaceiog.LogInfoInfo;
import java.lang.String;
import com.kingdee.eas.custom.shuiyou.task.TaskCatalogEnum;
import cn.hutool.core.lang.Snowflake;



public abstract class AbstractSYUtilsFacadeControllerBean extends AbstractBizControllerBean implements SYUtilsFacadeController
{
    protected AbstractSYUtilsFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("A069618E");
    }

    public String getSignature(Context ctx, String param) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("dccb1601-d56b-47df-b5c3-67f29237af8b"), new Object[]{ctx, param});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_getSignature(ctx, param);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _getSignature(Context ctx, String param) throws BOSException
    {    	
        return null;
    }

    public void initConfig(Context ctx, String filePath) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("07e10c18-1f87-436b-9c4a-e9559d10f519"), new Object[]{ctx, filePath});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _initConfig(ctx, filePath);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _initConfig(Context ctx, String filePath) throws BOSException
    {    	
        return;
    }

    public LogInfoInfo log(Context ctx, LogInfoInfo logInfo) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("6a2dcdfa-a95c-41b9-b0de-ce8a20c951cd"), new Object[]{ctx, logInfo});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            LogInfoInfo retValue = (LogInfoInfo)_log(ctx, logInfo);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (LogInfoInfo)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected LogInfoInfo _log(Context ctx, LogInfoInfo logInfo) throws BOSException
    {    	
        return null;
    }

    public Map getConfig(Context ctx) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("26946c76-c66f-44f2-b48c-6ebb7eecbf07"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            Map retValue = (Map)_getConfig(ctx);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (Map)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected Map _getConfig(Context ctx) throws BOSException
    {    	
        return null;
    }

    public String backTask(Context ctx, String url, String requestId, String osfServiceName, String backParam, TaskCatalogEnum catalog) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("a0c9515d-4c19-4653-ae53-daca159c0ae6"), new Object[]{ctx, url, requestId, osfServiceName, backParam, catalog});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_backTask(ctx, url, requestId, osfServiceName, backParam, catalog);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _backTask(Context ctx, String url, String requestId, String osfServiceName, String backParam, TaskCatalogEnum catalog) throws BOSException
    {    	
        return null;
    }

    public String post(Context ctx, String url, String param) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("2465b20d-1c13-4be0-af13-8946a7bb8008"), new Object[]{ctx, url, param});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_post(ctx, url, param);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _post(Context ctx, String url, String param) throws BOSException
    {    	
        return null;
    }

    public String get(Context ctx, String url, String param) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("55ce7cc5-135c-4ad8-9568-397e0d5dd955"), new Object[]{ctx, url, param});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_get(ctx, url, param);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _get(Context ctx, String url, String param) throws BOSException
    {    	
        return null;
    }

    public String getSignature(Context ctx, Map propt, Map paramMap) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("ba3d07d3-e3a6-44e0-ac20-e4ffccafd39f"), new Object[]{ctx, propt, paramMap});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_getSignature(ctx, propt, paramMap);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _getSignature(Context ctx, Map propt, Map paramMap) throws BOSException
    {    	
        return null;
    }

    public String addTask(Context ctx, String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("5826e2e3-b708-4f0b-a02f-ba1ed94d22d7"), new Object[]{ctx, osfServiceName, param, catalog, taskPreId});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_addTask(ctx, osfServiceName, param, catalog, taskPreId);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _addTask(Context ctx, String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId) throws BOSException
    {    	
        return null;
    }

    public boolean delTask(Context ctx, String taskId) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("7d783833-2294-40ea-8188-5f5f929f3c1d"), new Object[]{ctx, taskId});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            boolean retValue = (boolean)_delTask(ctx, taskId);
            svcCtx.setMethodReturnValue(new Boolean(retValue));
            }
            invokeServiceAfter(svcCtx);
            return ((Boolean)svcCtx.getMethodReturnValue()).booleanValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected boolean _delTask(Context ctx, String taskId) throws BOSException
    {    	
        return false;
    }

    public Snowflake getSnowflake(Context ctx) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("473ff46a-b823-43c1-a0a0-db07084a1e23"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            Snowflake retValue = (Snowflake)_getSnowflake(ctx);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (Snowflake)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected Snowflake _getSnowflake(Context ctx) throws BOSException
    {    	
        return null;
    }

    public String getBizNo(Context ctx) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("f02de36d-35a8-4c07-b62c-0bccb592d848"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_getBizNo(ctx);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _getBizNo(Context ctx) throws BOSException
    {    	
        return null;
    }

    public String addTask(Context ctx, String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId, String sourceBillId) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("3422c53e-a179-4127-9d12-b8dc45021959"), new Object[]{ctx, osfServiceName, param, catalog, taskPreId, sourceBillId});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_addTask(ctx, osfServiceName, param, catalog, taskPreId, sourceBillId);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _addTask(Context ctx, String osfServiceName, String param, TaskCatalogEnum catalog, String taskPreId, String sourceBillId) throws BOSException
    {    	
        return null;
    }

}