/**
 * output package name
 */
package com.kingdee.eas.custom.shuiyou.uitls;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class URLConfigEnum extends StringEnum
{
    public static final String CONFIRMPREDEDUCT_VALUE = "/gateway/iit/deductionAmount/confirmPreDeduct";//alias=۳ȷ
    public static final String GETPREDEDUCTCONFIRMFEEDBACK_VALUE = "/gateway/iit/deductionAmount/getPreDeductConfirmFeedback";//alias=۳ȷϷ
    public static final String QUERYPREDEDUCT_VALUE = "/gateway/iit/deductionAmount/queryPreDeduct";//alias=۳ѯ
    public static final String GETQUERYSPECIALAMOUNTFEEDBACK_VALUE = "/gateway/iit/special/getQuerySpecialAmountFeedback";//alias=Աרӿ۳ѯ
    public static final String PENSIONDOWNLOAD_VALUE = "/gateway/iit/personalPension/download";//alias=Ͻ
    public static final String PENSIONDOWNLOADFEEDBACK_VALUE = "/gateway/iit/personalPension/getDownloadFeedback";//alias=Ͻѯ
    public static final String GETCOMPANYINCOMES_VALUE = "/gateway/iit/report/getCompanyIncomes";//alias=ҵ걨ϸѯ
    public static final String CALCULATEASYNINDIVIDUALINCOMETAX_VALUE = "/gateway/iit/reverseCalculateTax/calculateASynIndividualIncomeTax";//alias=
    public static final String GETASYNINDIVIDUALINCOMETAXFEEDBACK_VALUE = "/gateway/iit/reverseCalculateTaxreverseCalculateTax/getASynIndividualIncomeTaxFeedback";//alias=ѯ㷴
    public static final String QUERYSPECIALAMOUNT_VALUE = "/gateway/iit/special/querySpecialAmount";//alias=Աרӿ۳ѯ

    public static final URLConfigEnum confirmPreDeduct = new URLConfigEnum("confirmPreDeduct", CONFIRMPREDEDUCT_VALUE);
    public static final URLConfigEnum getPreDeductConfirmFeedback = new URLConfigEnum("getPreDeductConfirmFeedback", GETPREDEDUCTCONFIRMFEEDBACK_VALUE);
    public static final URLConfigEnum queryPreDeduct = new URLConfigEnum("queryPreDeduct", QUERYPREDEDUCT_VALUE);
    public static final URLConfigEnum getQuerySpecialAmountFeedback = new URLConfigEnum("getQuerySpecialAmountFeedback", GETQUERYSPECIALAMOUNTFEEDBACK_VALUE);
    public static final URLConfigEnum pensionDownload = new URLConfigEnum("pensionDownload", PENSIONDOWNLOAD_VALUE);
    public static final URLConfigEnum PensionDownloadFeedback = new URLConfigEnum("PensionDownloadFeedback", PENSIONDOWNLOADFEEDBACK_VALUE);
    public static final URLConfigEnum getCompanyIncomes = new URLConfigEnum("getCompanyIncomes", GETCOMPANYINCOMES_VALUE);
    public static final URLConfigEnum calculateASynIndividualIncomeTax = new URLConfigEnum("calculateASynIndividualIncomeTax", CALCULATEASYNINDIVIDUALINCOMETAX_VALUE);
    public static final URLConfigEnum getASynIndividualIncomeTaxFeedback = new URLConfigEnum("getASynIndividualIncomeTaxFeedback", GETASYNINDIVIDUALINCOMETAXFEEDBACK_VALUE);
    public static final URLConfigEnum querySpecialAmount = new URLConfigEnum("querySpecialAmount", QUERYSPECIALAMOUNT_VALUE);

    /**
     * construct function
     * @param String uRLConfigEnum
     */
    private URLConfigEnum(String name, String uRLConfigEnum)
    {
        super(name, uRLConfigEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static URLConfigEnum getEnum(String uRLConfigEnum)
    {
        return (URLConfigEnum)getEnum(URLConfigEnum.class, uRLConfigEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(URLConfigEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(URLConfigEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(URLConfigEnum.class);
    }
}