package com.kingdee.eas.custom.shuiyou;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.hraux.BirthplaceFactory;
import com.kingdee.eas.basedata.hraux.NationalityFactory;
import com.kingdee.eas.basedata.person.PersonFactory;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.shuiyou.registration.RegistrationInfoCollection;
import com.kingdee.eas.custom.shuiyou.registration.RegistrationInfoFactory;
import com.kingdee.eas.custom.shuiyou.registration.RegistrationInfoInfo;
import com.kingdee.eas.custom.shuiyou.task.TaskCatalogEnum;
import com.kingdee.eas.custom.shuiyou.uitls.ISYUtilsFacade;
import com.kingdee.eas.custom.shuiyou.uitls.SYUtilsFacadeFactory;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.json.JSONUtils;
import com.kingdee.shr.compensation.app.incomeTax.*;
import com.kingdee.shr.compensation.app.tax.TaxUnitCollection;
import com.kingdee.shr.compensation.app.tax.TaxUnitFactory;
import com.kingdee.shr.compensation.app.tax.TaxUnitInfo;
import com.kingdee.shr.compensation.util.Base64Utils;
import com.kingdee.shr.compensation.web.handler.tax.taxUnit.TaxUnitListHandler;
import okhttp3.*;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.*;

public class TaxUnitListHandlerEx extends TaxUnitListHandler {
    private Properties propt = new Properties();
    private static Logger logger = Logger.getLogger("com.kingdee.eas.custom.shuiyou.TaxUnitListHandlerEx");

    /**
     * ҵע
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void businessAegistrationAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        String entrance = "com.kingdee.eas.custom.jiuzhoutong.shuiyou.TaxUnitListHandlerEx.businessAegistrationAction";
        Map<String, Object> returnMap = new HashMap<String, Object>();
        logger.error("=========룺" + entrance + "==========");
        String id = request.getParameter("id");
        Context context = SHRContext.getInstance().getContext();
        Map<String, String> commonParameter = null;
        String postBody = "";
        String post = "";
        try {
            logger.error("=====ȡϢ=====");
            this.propt.load(new FileInputStream(System.getProperty("EAS_HOME") + "/server/properties/sy/syConfig.properties"));
            logger.error("=======ȡ˰ҵϢ=====");
            TaxUnitInfo taxUnitInfo = TaxUnitFactory.getLocalInstance(context).getTaxUnitInfo(new ObjectUuidPK(id));
            String name = taxUnitInfo.getName();//ҵ
            String taxNumber = taxUnitInfo.getTaxNumber();//˰
            String areaCode = taxUnitInfo.getAreaCode();//
            logger.error("ҵƣ" + name);
            logger.error("˰ţ" + taxNumber);
            logger.error("룺" + areaCode);
            logger.error("==========================");


            logger.error("========== post================");
            OkHttpClient client = new OkHttpClient();
            String ip = propt.getProperty("ip");
            String url = ip + "/gateway/iit/declare/getCompanyRegisterInfo";
            logger.error("ַ" + url);
            postBody = "{\"qymc\":\"" + name + "\",\"nsrsbh\":\"" + taxNumber + "\",\"areaid\":\"" + areaCode + "\"}";
            logger.error("" + postBody);
            logger.error("" + JSONObject.toJSONString(commonParameter));

            post = SYUtilsFacadeFactory.getLocalInstance(context).post(url, postBody);
            //gateway/iit/declare/getCompanyRegisterInfo
//            RequestBody body = RequestBody.create(MediaType.parse("application/json"), postBody);
//            Request sYRequest = new Request.Builder()
//                    .url(url)
//                    .post(body).headers(Headers.of(commonParameter))
//                    .build();
//            sYResponse = client.newCall(sYRequest).execute();

            logger.error("ز" + post);
            //ֵҪ JSONArray  Ҫ ֵж
            //JSONArray jsonArray = JSONArray.parseArray(post);
            JSONObject returnDate = JSONObject.parseObject(post);
            JSONObject head = returnDate.getJSONObject("head");
            String description = head.getString("description");
            RegistrationInfoInfo registrationInfo;
            if (!"ɹ".equals(description)) {
                returnMap.put("code", 500);
                returnMap.put("error", "ӿڵʧܣ뿴־");
                JSONUtils.SUCCESS(returnMap);
                return;
            }

            JSONArray body = returnDate.getJSONArray("body");
//            if (body.size() > 0) {
//                logger.error("дݣ"+body.toJSONString());
//                logger.error("ɾԭеԱде");
//                String sql = "delete from CT_REG_RegistrationInfo";
//                DBUtil.execute(context, sql);
//            }
            logger.error("дݣ");
            for (int i = 0; i < body.size(); i++) {
                JSONObject jsonObject = body.getJSONObject(i);
                String djxhid = jsonObject.getString("djxhid");//	Ǽ
                RegistrationInfoCollection registrationInfoCollection = RegistrationInfoFactory.getLocalInstance(context).getRegistrationInfoCollection("where djxhid = '" + djxhid + "'");
                if (registrationInfoCollection.size() == 0) {
                    registrationInfo = new RegistrationInfoInfo();
                } else {
                    registrationInfo = registrationInfoCollection.get(0);
                }

                registrationInfo.setDjxhid(djxhid);
                String qymc = jsonObject.getString("qymc");//	ҵ

                registrationInfo.setQymc(qymc);
                String frxm = jsonObject.getString("frxm");//	
                registrationInfo.setFrxm(frxm);

                String lxdh = jsonObject.getString("lxdh");//	ϵ绰
                registrationInfo.setLxdh(lxdh);

                String scjydz = jsonObject.getString("scjydz");//	Ӫַ
                registrationInfo.setScjydz(scjydz);

                String hymc = jsonObject.getString("hymc");//	ҵ
                registrationInfo.setHymc(hymc);

                String zgswjgmc = jsonObject.getString("zgswjgmc");//	˰
                registrationInfo.setZgswjgmc(zgswjgmc);

                String zgswjg = jsonObject.getString("zgswjg");//	˰ش
                registrationInfo.setZgswjg(zgswjg);

                String zgswjgskdm = jsonObject.getString("zgswjgskdm");//	˰־ƴ
                registrationInfo.setZgswjgskdm(zgswjgskdm);

                String zgswjgskmc = jsonObject.getString("zgswjgskmc");//	˰־
                registrationInfo.setZgswjgskmc(zgswjgskmc);

                String fbmba = jsonObject.getString("fbmba");//	Ƿֲű
                registrationInfo.setFbmba(fbmba);

                String smzh = jsonObject.getString("smzh");//	ʵ˺
                registrationInfo.setSmzh(smzh);

                String shxydm = jsonObject.getString("shxydm");//	ô
                registrationInfo.setShxydm(shxydm);

                String nsrsbm = jsonObject.getString("nsrsbm");//	˰ʶ
                registrationInfo.setNsrsbm(nsrsbm);

                String yzbm = jsonObject.getString("yzbm");//	
                registrationInfo.setYzbm(yzbm);

                String cwxm = jsonObject.getString("cwxm");//	
                registrationInfo.setCwxm(cwxm);

                String hydm = jsonObject.getString("hydm");//	ҵ
                registrationInfo.setHydm(hydm);

                String jjlxdm = jsonObject.getString("jjlxdm");//	ƴ
                registrationInfo.setJjlxdm(jjlxdm);

                String jjlxmc = jsonObject.getString("jjlxmc");//	
                registrationInfo.setJjlxmc(jjlxmc);

                String ssglydm = jsonObject.getString("ssglydm");//	˰չԱ
                registrationInfo.setSsglydm(ssglydm);

                String bsrxm = jsonObject.getString("bsrxm");//	˰
                registrationInfo.setBsrxm(bsrxm);

                String jdxzdm = jsonObject.getString("jdxzdm");//	ֵ
                registrationInfo.setJdxzdm(jdxzdm);

                String kjywrdm = jsonObject.getString("kjywrdm");//	۽˴
                registrationInfo.setKjywrdm(kjywrdm);

                String djrq = jsonObject.getString("djrq");//	Ǽ
                registrationInfo.setDjrq(djrq);

                String swjgdm = jsonObject.getString("swjgdm");//	˰ش
                registrationInfo.setSwjgdm(swjgdm);

                String swjgmc = jsonObject.getString("swjgmc");//	˰
                registrationInfo.setSwjgmc(swjgmc);

                String sfscjyqy = jsonObject.getString("sfscjyqy");//	ǷӪҵ
                registrationInfo.setSfscjyqy(sfscjyqy);

                String nsrztdm = jsonObject.getString("nsrztdm");//	˰״̬
                registrationInfo.setNsrztdm(nsrztdm);

                String nsrztmc = jsonObject.getString("nsrztmc");//	˰״̬
                registrationInfo.setNsrztmc(nsrztmc);
                if (registrationInfoCollection.size() == 0) {
                    RegistrationInfoFactory.getLocalInstance(context).save(registrationInfo);
                } else {
                    RegistrationInfoFactory.getLocalInstance(context).update(new ObjectUuidPK(registrationInfo.getId()), registrationInfo);
                }
            }
            logger.error("¼ɹӿ־");
            returnMap.put("code", 200);
            returnMap.put("error", "");
            returnMap.put("info", "עɹ");
        } catch (BOSException e) {
            logger.error("¼BOSExceptionӿ־");
            returnMap.put("code", 500);
            returnMap.put("error", e);
        } catch (EASBizException e) {
            logger.error("¼ EASBizException ӿ־");
            returnMap.put("code", 500);
            returnMap.put("error", e);
        } catch (FileNotFoundException e) {
            logger.error("¼ FileNotFoundException ӿ־");
            returnMap.put("code", 500);
            returnMap.put("error", e);
        } catch (IOException e) {
            logger.error("¼ IOException ӿ־");
            returnMap.put("code", 500);
            returnMap.put("error", e);
        }
        JSONUtils.SUCCESS(returnMap);
        logger.error("======================˳==================================");
    }

    /**
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void personnelReportAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        logger.error("==뵽==com.kingdee.eas.custom.shuiyou.TaxUnitListHandlerEx.personnelReportAction=====================");
        Context context = SHRContext.getInstance().getContext();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        Map<String,Object> returnMap = new HashMap<String,Object>();
        String selectedIds = request.getParameter("selectedIds");
        String taxPeriodDate = request.getParameter("taxPeriodDate");
        if (taxPeriodDate==null||"".equals(taxPeriodDate)){
            SimpleDateFormat taxPeriodFormat = new SimpleDateFormat("yyyyMM");
            taxPeriodDate=taxPeriodFormat.format(new Date());
        }
        try {
            this.propt.load(new FileInputStream(System.getProperty("EAS_HOME") + "/server/properties/sy/syConfig.properties"));
            TaxUnitCollection taxUnitCollection = TaxUnitFactory.getLocalInstance(context).getTaxUnitCollection();
            for (int i = 0; i < taxUnitCollection.size(); i++) {
                TaxUnitInfo taxUnitInfo = taxUnitCollection.get(i);
                String bizNo = UUID.randomUUID().toString().replace("-", "");
                String qymc = taxUnitInfo.getName();//ҵ
                String mmlx = "0";// 0ʾ걨룻2ʾʵ˺ʵ
                String smzh = "";//ʵ˺
                String smmm = "";//ʵ
                String jmsmmm = "";//ʵ
                String sbmm = "";
                if (taxUnitInfo.getDeclPassword()!=null&&!"".equals(taxUnitInfo.getDeclPassword())){
                    byte[] decode = Base64.getDecoder().decode(taxUnitInfo.getDeclPassword());
                    sbmm  = new String(decode);//;//걨
                }
                String jmsbmm = "";//걨
                String djxhid = taxUnitInfo.getRegNumber();//Ǽ
                String nsrsbh = taxUnitInfo.getTaxNumber();//˰
                String areaid = taxUnitInfo.getAreaCode();//
                String bmbh = "";//ű
                String bmmc = "";//ű
                String skssq = taxPeriodDate;//  ----֪ô
                String lzrqcl = "";
                JSONObject postBody = new JSONObject();
                postBody.put("bizNo",bizNo);
                postBody.put("qymc", qymc);
                postBody.put("mmlx", mmlx);
                postBody.put("smzh", smzh);
                postBody.put("smmm", smmm);
                postBody.put("jmsmmm", jmsmmm);
                postBody.put("sbmm", sbmm);
                postBody.put("jmsbmm", jmsbmm);
                postBody.put("djxhid", djxhid);
                postBody.put("nsrsbh", nsrsbh);
                postBody.put("areaid", areaid);
                postBody.put("bmbh", bmbh);
                postBody.put("bmmc", bmmc);
                postBody.put("skssq", skssq);
                postBody.put("lzrqcl", lzrqcl);
                BOSUuid id = taxUnitInfo.getId();
                //STaxPersonRecordEntry
                TaxPersonRecordEntryCollection taxPersonRecordEntrys = null;
                if (selectedIds!=null&&!selectedIds.equals("")){
                    taxPersonRecordEntrys = TaxPersonRecordEntryFactory.getLocalInstance(context).
                            getTaxPersonRecordEntryCollection("select * , bill.* where taxUnit = '" + id.toString() + "' and id in (" + selectedIds + ")");
                }else {
                    taxPersonRecordEntrys = TaxPersonRecordEntryFactory.getLocalInstance(context).
                            getTaxPersonRecordEntryCollection("select * , bill.* where taxUnit = '" + id.toString() + "' ");
                }


                JSONArray rylb = new JSONArray();
                JSONObject personInfo = null;
                int size = taxPersonRecordEntrys.size();
                if (size==0){
                    break;
                }
                for (int j = 0; j < size; j++) {
                    personInfo = new JSONObject();
                    TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = taxPersonRecordEntrys.get(j);
                    TaxPersonRecordInfo bill = taxPersonRecordEntryInfo.getBill();
                    String xm = bill.getReportName();//
                    String zzlx = bill.getCardType().getAlias();//֤
                    String zzhm = bill.getCardNumber();//֤
                    String s = cardTypeReflection(zzlx);//֤
                    Boolean cardType = isCardType(s);
                    String qtzzlx = "";//֤
                    String qtzzhm = "";//֤
                    if (cardType) {
                        qtzzlx = cardTypeReflection(bill.getOtherCardType().getAlias());//֤
                        qtzzhm = bill.getOtherCardNumber();//֤
                    }
                    String bmbh1 = "";//ű
                    String rybscl = "";//ԱͲ
                    String gh = "";//
                    String skssq1 = taxPeriodDate;//
                    String lxdh = bill.getPhoneNumber(); //绰
                    String nsrzt = taxPersonRecordEntryInfo.getPersonStatus().getValue();//Ա״̬
                    String sfgy = taxPersonRecordEntryInfo.getEmployedType().getAlias();//ְܹ
                    String rzndjyqk = "";//ְȾҵ
                    String rzsgrq = "";//ܹ
                    if ("ԱӪԱ֤ȯ".indexOf(sfgy) >= 0) {
                        Date employedDate = taxPersonRecordEntryInfo.getEmployedDate();
                        rzsgrq = simpleDateFormat.format(employedDate);
                    }
                    String xb = bill.getGender().getAlias();//Ա
                    String csny = simpleDateFormat.format(bill.getBirthday());//
                    String gj = NationalityFactory.getLocalInstance(context).getNationalityInfo(new ObjectUuidPK(bill.getNationality().getId())).getName();//
                    String rydq = bill.getIsOversea().getAlias();//Ƿ
                    if (rydq.equals("")) {
                        rydq = "";
                    } else {
                        rydq = "";
                    }
                    String lzrq = "";//ְ
                    if (nsrzt.equals("0")) {
                        lzrq = simpleDateFormat.format(taxPersonRecordEntryInfo.getDepartureDate());
                    }
                    BigDecimal grgbbl = bill.getInvestmentRate();//Ͷܶ
                    BigDecimal grgbze = bill.getInvestmentTotal();//Ͷʱ
                    String sfcj = bill.isIsDisability() ? "" : "";
                    String cjzjlx = "";//м֤
                    String cjzh = "";//м֤
                    if ("".equals(sfcj)) {
                        cjzjlx = "";//           ϵͳûҪ
                        cjzh = bill.getDisCardNumber();
                    }
                    String sfls = bill.isIsHero() ? "" : "";
                    String lszh = "";
                    if ("".equals(sfls)) {
                        lszh = bill.getHeroCardNumber();
                    }
                    String sfgl = ""; //Ƿ
                    String sfzdw = "";//Ƿ۳
                    String dzyx = "";//
                    String xl = "";
                    String zw = "";//	ְ
                    String khyh = "";//	
                    String khyhsfmz = "";//	ʡ
                    String yhzh = "";//	˺
                    String lxdz_sheng = "";//	סʡ
                    String lxdz_shi = "";//	ס
                    String lxdz_qx = "";//	ס
                    String lxdz_jd = "";//	סֵ
                    String lxdz = "";//	סϸַ
                    String hjszd_sheng = "";//	ʡ
                    String hjszd_shi = "";//	
                    String hjszd_qx = "";//	
                    String hjszd_jd = "";//	ֵ
                    String hjszd_xxdz = "";//	ϸַ
                    String bz = "";//	ע
                    String csd = "";
                    String sssx = "";
                    if (gj.indexOf("й") < 0) {
                        logger.error(JSONObject.toJSONString(bill.getBirthPlace()));
                        logger.error(bill.getBirthPlace().getId());
                        csd = BirthplaceFactory.getLocalInstance(context).
                                getBirthplaceInfo(new ObjectUuidPK(bill.getBirthPlace().getId())).getName();
                        sssx = bill.getTaxReason().getAlias();
                    }
                    String ss = "۰ľڵ֤ͨ۰ľס̨֤½̨֤ͨס֤աþ֤֤A֤B֤Cʱ";
                    String scrjsj = "";
                    String yjljsj = "";
                    if (ss.indexOf(s) >= 0) {
                        scrjsj = simpleDateFormat.format(bill.getEntryDate());
                        yjljsj = simpleDateFormat.format(bill.getLeaveDate());
                    }
                    String wjrlxdz_sheng = "";//	ϵʡ
                    String wjrlxdz_shi = "";//	ϵس
                    String wjrlxdz_qx = "";//	ϵ
                    String wjrlxdz_jd = "";//	ϵؽֵ
                    String wjrlxdz_xxdz = "";//	ϵϸַ
                    String xmzw = "";//	
                    ss = "աþ֤˹֤Aࣩ˹֤Bࣩ˹֤Cࣩ";
                    if (ss.indexOf(s) < 0) {
                        xmzw = bill.getChineseName();
                    }
                    personInfo.put("xm", xm);
                    personInfo.put("zzlx", s);
                    personInfo.put("zzhm", zzhm);
                    personInfo.put("qtzzlx", qtzzlx);
                    personInfo.put("qtzzhm", qtzzhm);
                    personInfo.put("bmbh", bmbh1);
                    personInfo.put("rybscl", rybscl);
                    personInfo.put("gh", gh);
                    personInfo.put("skssq", skssq1);
                    personInfo.put("lxdh", lxdh);
                    if (nsrzt.equals("1")){
                        nsrzt="";
                    }else{
                        nsrzt = "";
                    }
                    personInfo.put("nsrzt", nsrzt);
                    personInfo.put("sfgy", sfgy);
                    personInfo.put("rzndjyqk", rzndjyqk);
                    personInfo.put("rzsgrq", rzsgrq);
                    personInfo.put("xb", xb);
                    personInfo.put("csny", csny);
                    personInfo.put("gj", gj);
                    personInfo.put("rydq", rydq);
                    personInfo.put("lzrq", lzrq);
                    personInfo.put("grgbbl", grgbbl);
                    personInfo.put("grgbze", grgbze);
                    personInfo.put("sfcj", sfcj);
                    personInfo.put("cjzjlx", cjzjlx);
                    personInfo.put("cjzh", cjzh);
                    personInfo.put("sfls", sfls);
                    personInfo.put("lszh", lszh);
                    personInfo.put("sfgl", sfgl);
                    personInfo.put("sfzdw", sfzdw);
                    personInfo.put("dzyx", dzyx);
                    personInfo.put("xl", xl);
                    personInfo.put("zw", zw);
                    personInfo.put("khyh", khyh);
                    personInfo.put("khyhsfmz", khyhsfmz);
                    personInfo.put("yhzh", yhzh);
                    personInfo.put("lxdz_sheng", lxdz_sheng);
                    personInfo.put("lxdz_shi", lxdz_shi);
                    personInfo.put("lxdz_qx", lxdz_qx);
                    personInfo.put("lxdz_jd", lxdz_jd);
                    personInfo.put("lxdz", lxdz);
                    personInfo.put("hjszd_sheng", hjszd_sheng);
                    personInfo.put("hjszd_shi", hjszd_shi);
                    personInfo.put("hjszd_qx", hjszd_qx);
                    personInfo.put("hjszd_jd", hjszd_jd);
                    personInfo.put("hjszd_xxdz", hjszd_xxdz);
                    personInfo.put("bz", bz);
                    personInfo.put("csd", csd);
                    personInfo.put("sssx", sssx);
                    personInfo.put("scrjsj", scrjsj);
                    personInfo.put("yjljsj", yjljsj);
                    personInfo.put("wjrlxdz_sheng", wjrlxdz_sheng);
                    personInfo.put("wjrlxdz_shi", wjrlxdz_shi);
                    personInfo.put("wjrlxdz_qx", wjrlxdz_qx);
                    personInfo.put("wjrlxdz_jd", wjrlxdz_jd);
                    personInfo.put("wjrlxdz_xxdz", wjrlxdz_xxdz);
                    personInfo.put("xmzw", xmzw);
                    rylb.add(personInfo);

                }
                postBody.put("rylb", rylb);
                String ip = propt.getProperty("ip");
                String url = ip + "/gateway/iit/declare/declareEmployeeInfo";
                logger.error("====="+postBody+"========");
                ISYUtilsFacade localInstance = SYUtilsFacadeFactory.getLocalInstance(context);
                String post = localInstance.post(url, postBody.toJSONString());
                System.out.println(post);
                JSONObject postJSON = JSONObject.parseObject(post);
                //У Ƿɹ
                JSONObject head = postJSON.getJSONObject("head");
                if (head.getString("status").equals("N")){
                    returnMap.put("code",500);
                    returnMap.put("error","ʧ");
                    JSONUtils.SUCCESS(returnMap);
                    return;
                }
                JSONObject body = postJSON.getJSONObject("body");
                String string = body.getString("requestId");
                url = ip+"/gateway/iit/declare/getEmployeeInfoFeedback";
                String s = localInstance.backTask(url, string, "personnelReportService", null, TaskCatalogEnum.PERSON);
                logger.error("ز"+post);
                logger.error("ز"+s);
                returnMap.put("code",200);
                returnMap.put("info","ͳɹ");
                JSONUtils.SUCCESS(returnMap);
            }

        } catch (BOSException e) {
            JSONUtils.ERROR("BOSException",e);
            throw new RuntimeException(e);
        } catch (FileNotFoundException e) {
            JSONUtils.ERROR("FileNotFoundException",e);
            throw new RuntimeException(e);
        } catch (IOException e) {
            JSONUtils.ERROR("IOException",e);
            throw new RuntimeException(e);
        } catch (EASBizException e) {
            JSONUtils.ERROR("EASBizException",e);
            throw new RuntimeException(e);
        }
    }

    /**
     * Ͻ
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void pensionInfoAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        logger.error("==뵽==com.kingdee.eas.custom.shuiyou.TaxUnitListHandlerEx.personnelReportAction=====================");
        Context context = SHRContext.getInstance().getContext();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        SimpleDateFormat skssqFormat = new SimpleDateFormat("yyyyMM");
        Map<String,Object> returnMap = new HashMap<String,Object>();
        try {
            this.propt.load(new FileInputStream(System.getProperty("EAS_HOME") + "/server/properties/sy/syConfig.properties"));
            TaxUnitCollection taxUnitCollection = TaxUnitFactory.getLocalInstance(context).getTaxUnitCollection();
            for (int i = 0; i < taxUnitCollection.size(); i++) {
                TaxUnitInfo taxUnitInfo = taxUnitCollection.get(i);
                String bizNo = UUID.randomUUID().toString().replace("-", "");
                String qymc = taxUnitInfo.getName();//ҵ
                String mmlx = "0";// 0ʾ걨룻2ʾʵ˺ʵ
                String smzh = "";//ʵ˺
                String smmm = "";//ʵ
                String jmsmmm = "";//ʵ
                byte[] decode = Base64.getDecoder().decode(taxUnitInfo.getDeclPassword());
                String sbmm = new String(decode);//;//걨
                String jmsbmm = "";//걨
                String djxhid = taxUnitInfo.getRegNumber();//Ǽ
                String nsrsbh = taxUnitInfo.getTaxNumber();//˰
                String areaid = taxUnitInfo.getAreaCode();//
                String bmbh = "";//ű
                String bmmc = "";//ű
                Integer year = new Date().getYear();
                String skssq = skssqFormat.format(new Date());

                String lzrqcl = "";
                JSONObject postBody = new JSONObject();
                postBody.put("bizNo",bizNo);
                postBody.put("qymc", qymc);
                postBody.put("mmlx", mmlx);
                postBody.put("smzh", smzh);
                postBody.put("smmm", smmm);
                postBody.put("jmsmmm", jmsmmm);
                postBody.put("sbmm", sbmm);
                postBody.put("jmsbmm", jmsbmm);
                postBody.put("djxhid", djxhid);
                postBody.put("nsrsbh", nsrsbh);
                postBody.put("areaid", areaid);
                postBody.put("bmbh", bmbh);
                postBody.put("bmmc", bmmc);
                postBody.put("year", year);
                postBody.put("skssq",skssq);
                postBody.put("lzrqcl", lzrqcl);
                BOSUuid id = taxUnitInfo.getId();
                //STaxPersonRecordEntry
                TaxPersonRecordEntryCollection taxPersonRecordEntrys =
                        TaxPersonRecordEntryFactory.getLocalInstance(context).
                                getTaxPersonRecordEntryCollection("select * , bill.* where taxUnit = '" + id.toString() + "'");
                JSONArray rylb = new JSONArray();
                JSONObject personInfo = null;
                int size = taxPersonRecordEntrys.size();
                if (size==0){
                    break;
                }
                for (int j = 0; j < size; j++) {
                    personInfo = new JSONObject();
                    TaxPersonRecordEntryInfo taxPersonRecordEntryInfo = taxPersonRecordEntrys.get(j);
                    TaxPersonRecordInfo bill = taxPersonRecordEntryInfo.getBill();
                    String xm = PersonFactory.getLocalInstance(context).getPersonInfo(new ObjectUuidPK(bill.getPerson().getId())).getName();//
                    String zzlx = bill.getCardType().getAlias();//֤
                    String zzhm = bill.getCardNumber();//֤
                    String s = cardTypeReflection(zzlx);//֤
                    personInfo.put("xm",xm);
                    personInfo.put("zzlx",s );
                    personInfo.put("zzhm",zzhm);
                    rylb.add(personInfo);
                }
                postBody.put("rylb", rylb);
                String ip = propt.getProperty("ip");
                String url = ip + "/gateway/iit/personalPension/download";
                logger.error("====="+postBody+"========");
                ISYUtilsFacade localInstance = SYUtilsFacadeFactory.getLocalInstance(context);
                String post = localInstance.post(url, postBody.toJSONString());
                JSONObject postJSON = JSONObject.parseObject(post);
                //У Ƿɹ
                JSONObject head = postJSON.getJSONObject("head");
                if (head.getString("status").equals("N")){
                    returnMap.put("code",500);
                    returnMap.put("error","ʧ");
                    JSONUtils.SUCCESS(returnMap);
                    return;
                }
                JSONObject body = postJSON.getJSONObject("body");
                String string = body.getString("requestId");
                url = ip+"/gateway/iit/personalPension/getDownloadFeedback";
                String s = localInstance.backTask(url, string, "", null, TaskCatalogEnum.PERSON);
                logger.error("ز"+post);
                returnMap.put("code",200);
                returnMap.put("info","");
                JSONUtils.SUCCESS(returnMap);
            }

        } catch (BOSException e) {
            JSONUtils.ERROR("BOSException",e);
            throw new RuntimeException(e);
        } catch (FileNotFoundException e) {
            JSONUtils.ERROR("FileNotFoundException",e);
            throw new RuntimeException(e);
        } catch (IOException e) {
            JSONUtils.ERROR("IOException",e);
            throw new RuntimeException(e);
        } catch (EASBizException e) {
            JSONUtils.ERROR("EASBizException",e);
            throw new RuntimeException(e);
        }
    }


    public static void main(String[] args) {
        String encode = Base64Utils.encode("asdasd");
        System.out.println(encode);
    }

    public String cardTypeReflection(String cardTypeName) {
        switch (cardTypeName) {
            case "֤":
                return "֤";
            case "й":
                return "й";
            case "۰ľڵ֤ͨ":
                return "۰ľڵ֤ͨ";
            case "л񹲺͹۰ľס֤":
                return "۰ľڵ֤ͨ";
            case "̨½֤ͨ":
                return "̨½֤ͨ";
            case "л񹲺͹̨ס֤":
                return "̨ס֤";
            case "":
                return "";
            case "þ֤":
                return "þ֤";
            case "л񹲺͹˹֤Aࣩ":
                return "˹֤Aࣩ";
            case "л񹲺͹˹֤Bࣩ":
                return "˹֤Bࣩ";
            case "л񹲺͹˹֤Cࣩ":
                return "˹֤Cࣩ";
        }
        return "";
    }

    public Boolean isCardType(String cardType) {
        String cardTypes = "۰ľס֤,̨ס֤,þ֤,˹֤Aࣩ,˹֤Bࣩ,˹֤Cࣩ";
        if (cardTypes.indexOf(cardType) >= 0) {
            return true;
        } else {
            return false;
        }
    }
}
